#include "gfx/mesh_animated.hpp"

#include <boost/property_tree/ptree.hpp>

using namespace gfx;
namespace pt = boost::property_tree;

MeshAnimated::MeshAnimated(const std::string &pfname) :
	Mesh(pfname) { }

void MeshAnimated::compile()
{
	this->calcNormals();
	_buf.update(_bone_ref, _bone_weight, _texcoord, _color, _normal, _vertex);
	_elem.update(_lod);
	_lod.compile(_vertex);
}

void MeshAnimated::unreserve()
{
	_buf.unreserve();
	this->Mesh::unreserve();
}

